Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.util
Class AbstractConcurrentMap.Segment<K,V>

    java.lang.Object
      java.util.concurrent.locks.AbstractOwnableSynchronizer
          java.util.concurrent.locks.AbstractQueuedSynchronizer
              org.codehaus.groovy.util.LockableObject
                  org.codehaus.groovy.util.AbstractConcurrentMapBase.Segment
                      org.codehaus.groovy.util.AbstractConcurrentMap.Segment<K,V>

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ManagedConcurrentMap.Segment

Enclosing class:
  AbstractConcurrentMap<K,V>

    protected abstract static class AbstractConcurrentMap.Segment<K,V>

extends AbstractConcurrentMapBase.Segment

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.util.concurrent.locks.AbstractQueuedSynchronizer
`AbstractQueuedSynchronizer.ConditionObject`

Constructor Summary
`protected` | `AbstractConcurrentMap.Segment(int initialCapacity)`

Method Summary
`protected abstract AbstractConcurrentMap.Entry<K,V>` | `createEntry(K key, int hash, V value)`
`void` | `remove(K key, int hash)`

Methods inherited from class org.codehaus.groovy.util.LockableObject
`isHeldExclusively, lock, tryAcquire, tryRelease, unlock`

Methods inherited from class java.util.concurrent.locks.AbstractQueuedSynchronizer
`acquire, acquireInterruptibly, acquireShared, acquireSharedInterruptibly, compareAndSetState, getExclusiveQueuedThreads, getFirstQueuedThread, getQueuedThreads, getQueueLength, getSharedQueuedThreads, getState, getWaitingThreads, getWaitQueueLength, hasContended, hasQueuedPredecessors, hasQueuedThreads, hasWaiters, isQueued, owns, release, releaseShared, setState, toString, tryAcquireNanos, tryAcquireShared, tryAcquireSharedNanos, tryReleaseShared`

Methods inherited from class java.util.concurrent.locks.AbstractOwnableSynchronizer
`getExclusiveOwnerThread, setExclusiveOwnerThread`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractConcurrentMap.Segment

    protected AbstractConcurrentMap.Segment(int initialCapacity)

Method Detail

### remove

    public void remove(K key,
                       int hash)

### createEntry

    protected abstract AbstractConcurrentMap.Entry<K,V> createEntry(K key,
                                                                    int hash,
                                                                    V value)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2009 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD